aboutsummaryrefslogtreecommitdiffstats
path: root/testing
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2011-05-31 17:23:51 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2011-05-31 17:23:51 +0000
commitc8134ce9a4adb235c25f9bfdcdb45806735d0cac (patch)
tree5cfddd5e4a8d351aa0ac770cf7e9be78374eefd4 /testing
parent559b917ea3cccfca9fa6c23016ae212467f93ac5 (diff)
downloadaports-c8134ce9a4adb235c25f9bfdcdb45806735d0cac.tar.bz2
aports-c8134ce9a4adb235c25f9bfdcdb45806735d0cac.tar.xz
testing/perl-test-manifest: new aport
Test::Manifest perl module http://search.cpan.org/dist/Test-Manifest/
Diffstat (limited to 'testing')
-rw-r--r--testing/perl-test-manifest/APKBUILD39
1 files changed, 39 insertions, 0 deletions
diff --git a/testing/perl-test-manifest/APKBUILD b/testing/perl-test-manifest/APKBUILD
new file mode 100644
index 0000000000..28c5b353c7
--- /dev/null
+++ b/testing/perl-test-manifest/APKBUILD
@@ -0,0 +1,39 @@
+# Contributor: Natanael Copa <ncopa@alpinelinux.org>
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=perl-test-manifest
+pkgver=1.23
+pkgrel=0
+pkgdesc="Test::Manifest perl module"
+url="http://search.cpan.org/dist/Test-Manifest/"
+arch="noarch"
+license="GPLv2 or Artistic"
+depends="perl"
+makedepends="perl-dev"
+install=""
+subpackages=
+source="http://search.cpan.org/CPAN/authors/id/B/BD/BDFOY/Test-Manifest-$pkgver.tar.gz"
+
+_builddir="$srcdir"/Test-Manifest-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
+ make && make test || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="81c8744987b67d35af05a74a3c7f1742 Test-Manifest-1.23.tar.gz"